Subject: Re: [Mobopts] About RO enhancements

From: Christian Vogt <[email-masked]>
Date: Sun, 17 Jul 2005 14:10:06 +0200

> - I wonder if it wouldn't be useful to have a (minimum) thought about
>  Mobile Routers, and not only about Mobile Hosts.
>
> - Also, speaking about enhancement, I think it would be wise to
> consider the case of a Correspondent Router instead of the
> Correspondent Node. [...]

Hi Thierry,

thanks for your review and comments.

I agreee that route-optimization support for NEMO is important.  E.g.,
you can think about Personal Area Networks, or Internet access in public
transportation.  Especially in the latter, mobile nodes may not
necessarily be able to speak Mobile IPv6 themselves.

NEMO also identifies interesting fields for future research.  E.g., it
might nicely fit together with infrastructure-based security techniques
such as this:

    [42]  Castelluccia, Claude., Montenegro, Gabriel., Laganier, Julien.,
          and Christoph. Neumann, "Hindering Eavesdropping via IPv6
          Opportunistic Encryption", Proceedings of the European
          Symposium on Research in Computer Security , September 2004.

In this light, I wrote an additional sub-section for section
"Enhancement Toolbox" on mobile and correspondent routers.  Also, I
added a paragraph an this topic to sub-section "Future Research" of
section "Analysis".

Regards,
- Christian

--
Christian Vogt, Institute of Telematics, University of Karlsruhe
www.tm.uka.de/~chvogt/pubkey/

Thierry Ernst wrote:
> Dear all,
>
> I've read the current RO Enhancement document (as of June 9th)
> http://doc.tm.uka.de/2005/draft-irtf-mobopts-ro-enhancements-01-pre.txt
>
>
> I have 2 points to make:
>
> - I wonder if it wouldn't be useful to have a (minimum) thought about
>  Mobile Routers, and not only about Mobile Hosts.
>
> - Also, speaking about enhancement, I think it would be wise to
> consider the case of a Correspondent Router instead of the
> Correspondent Node. Well, the rationale is that all CNs have to be
> modified to bring any new RO feature, but this could be avoided if
> mobility was managed but a router in the CN network (or presumably on
> the path between the CN and the MN).  I think this could come in
> light of section 6.2.2 where a "infrastructure-based-RO" method is
> mentioned.
>
> I think such consideration wouldn't harm Mobopts since this is an
> IRTF WG.
>
> Any thoughts ?
>
> For your information, the NEMO WG is chartered to produce an analysis
>  document about RO in the NEMO context. The NEMO WG recently agreed
> to adopt the forthcoming merge of several individual drafts as the a
> NEMO WG document. Authors are presently working on that document
> which should be issued before Paris meeting. Might be useful to keep
> a close eye on effort in both NEMO IETF WG and Mopbopts IRTF WG.
>
> Thierry

_______________________________________________
Mobopts mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mobopts